## org.apache.mahout.math
Interface Vector.Element

All Known Implementing Classes:
  AbstractVector.LocalElement, FileBasedSparseBinaryMatrix.BinaryReadOnlyElement

Enclosing interface:
  Vector

    public static interface Vector.Element

A holder for information about a specific item in the Vector.

When using with an Iterator, the implementation may choose to reuse this element, so you may need to make a copy if you want to keep it

Method Summary
`double` `get()`
`int` `index()`
`void` `set(double value)`

Method Detail

### get

    double get()

  Returns:
    the value of this vector element.

### index

    int index()

  Returns:
    the index of this vector element.

### set

    void set(double value)

  Parameters:
    `value` - Set the current element to value.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.